## graphviz 2.22.2-2

=== macosx/build/Makefile ===
# tools

MAKE=make
PACKAGEMAKER=/Developer/Applications/Utilities/PackageMaker.app/Contents/MacOS/PackageMaker
XCODEBUILD=xcodebuild
PMSURVEY=$(CURDIR)/pmsurvey

# prefix

PREFIX=$(HOME)/FIX/leopard

# base

GV_DIR=../..
DOT=dot

#
# graphviz
#

graphviz.pkg: usr/local/bin/$(DOT) graphviz.pmdoc/02graphviz-contents.xml postinstall
	@echo
	@echo PACKAGING GRAPHVIZ...
	@echo
	"$(PACKAGEMAKER)" --verbose --doc graphviz.pmdoc --out $@

graphviz.pmdoc/02graphviz-contents.xml: Release/Graphviz.app
	@echo
	@echo SURVEYING GRAPHVIZ...
	@echo
	"$(PMSURVEY)" "$(CURDIR)/Release/Graphviz.app" >$@ 

usr/local/bin/$(DOT): $(GV_DIR)/cmd/dot/.libs/$(DOT)
	@echo
	@echo INSTALLING GRAPHVIZ...
	@echo
	$(MAKE) DESTDIR=$(CURDIR) -C $(GV_DIR) install-strip
	rm -rf usr/local/lib/graphviz/tcl/libtcldot_builtin.*
	cp $(PREFIX)/bin/fc-cache usr/local/bin/gv-fc-cache
	
Release/Graphviz.app: ../*.m ../*.h $(GV_DIR)/cmd/dot/.libs/$(DOT)
	@echo
	@echo BUILDING GRAPHVIZ GUI...
	@echo
	"$(XCODEBUILD)" -project ../graphviz.xcodeproj -configuration Release

postinstall:
	echo "/usr/local/bin/dot -c" >$@
	make -n -C ../../tclpkg install-data-hook >>$@
	echo "arch -arch i386 -arch ppc /usr/local/bin/gv-fc-cache" >>$@
	echo 'if test `sysctl -n hw.cpu64bit_capable` = 1; then arch -arch x86_64 -arch ppc64 /usr/local/bin/gv-fc-cache; fi' >>$@

$(GV_DIR)/cmd/dot/.libs/$(DOT): $(GV_DIR)/Makefile
	@echo
	@echo MAKING GRAPHVIZ...
	@echo
	if [[ -e $@ ]]; then $(MAKE) -C $(GV_DIR) clean; fi
	$(MAKE) -C $(GV_DIR)/tclpkg/tkstubs
	$(MAKE) -C $(GV_DIR)/tclpkg/tclstubs
	$(MAKE) -C $(GV_DIR)/tclpkg/tkspline CFLAGS="-O2 -arch ppc -arch i386 -I$(PREFIX)/include" LDFLAGS="-arch ppc -arch i386 -L$(PREFIX)/lib -Wl,-dead_strip"
	$(MAKE) -C $(GV_DIR)
	
$(GV_DIR)/Makefile: $(GV_DIR)/configure
	@echo
	@echo CONFIGURING GRAPHVIZ...
	@echo
	cd $(GV_DIR) && ./configure --disable-dependency-tracking --with-ipsepcola --with-quartz CFLAGS="-O2 -arch ppc -arch i386 -arch ppc64 -arch x86_64 -I$(PREFIX)/include" CXXFLAGS="-O2 -arch ppc -arch i386 -arch ppc64 -arch x86_64 -I$(PREFIX)/include" OBJCFLAGS="-O2 -arch ppc -arch i386 -arch ppc64 -arch x86_64 -I$(PREFIX)/include" LDFLAGS="-arch ppc -arch i386 -arch ppc64 -arch x86_64 -L$(PREFIX)/lib -Wl,-dead_strip" GDLIB_CONFIG="$(PREFIX)/bin/gdlib-config" PKG_CONFIG="$(PREFIX)/bin/pkg-config" PKG_CONFIG_PATH="$(PREFIX)/lib/pkgconfig:/usr/X11/lib/pkgconfig"

=== debian/changelog ===
graphviz (2.22.2-2) unstable; urgency=low

  * Build version for maemo

 -- Johannes Schmid <jschmid@openismus.com>  Tue,  9 Jun 2009 13:28:21 +0200 

graphviz (2.22.2-1) intrepid; urgency=low

  * Adapted for upstream nightly builds by applying graphviz_2.18-1ubuntu2.diff.gz
    to CVS sources and adding the debian/ subtree to CVS.

  * Removed all debian/patches/[0123]* and emptied debian/patches/series
    since upstream should never need patches.
    - Drop 0_tcl_manpages_section - applied upstream
    - Drop 0_autoreconf_run - not needed
    - Drop 1_disable_lumping_all_include_directories - applied upstream
    - Drop 0_libtool_linking_reorder_workaround - not needed - previously disabled
    - Drop 0_bindings_documentation - applied upstream
    - Drop 0_versioned_plugin_config_file - applied upstream
   
  * Enabled "--with-rsvg" to provide support for node images in svg format.
  * Enabled "--with-devil" to provide support for additional output formats.
  * Enabled "--with-gdk-pixbuf" to provide support for additional output formats.
  * Enabled "--with-ipsepcola" (was only disabled because of concern about C++ portability)

 -- John Ellson <ellson@research.att.com>  Fri, 29 Aug 2008 09:55:33 -0400

graphviz (2.18-1ubuntu2) intrepid; urgency=low

  * Build against the newer guile 1.8 instead of the older 1.6.
    (See LP #232428)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 06 Aug 2008 12:18:57 +0200

graphviz (2.18-1ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes:
    - Build depend on liblualib50-dev instead of liblua5.1-0-dev.
    - Drop libttf-dev (libttf-dev is in universe) (LP: #174749).
    - Replace gs-common with ghostscript.
    - Build-depend on python-dev instead of python2.4-dev or python2.5-dev.
    - Mention the correct python version for the python bindings in the
      package description.

 -- Bryce Harrington <bryce@ubuntu.com>  Thu, 19 Jun 2008 20:23:23 -0700

graphviz (2.18-1) unstable; urgency=low

  * New upstream release:
     - Move from Tcl/Tk 8.4 to 8.5.
     - Now build python2.4 and python2.5 modules.
  * debian/control:
     - Replace tcl8.4-dev and tk8.4-dev with tcl8.5-dev and tk8.5-dev in
       Build-Depends accordingly.
     - Update the version in the long description of libgv-tcl.
     - Add python2.5-dev to Build-Depends.
     - Mention both versions in the long description of libgv-python.
     - Drop libttf-dev from Build-Depends since that's a deprecated
       package, replaced by libfreetype6-dev (which is already there),
       thanks to Moritz Muehlenhoff for the notice (Closes: #473487).
  * debian/libgv-tcl.install:
     - Delete the entry about pkgIndex.tcl since it's now shipped under
       the tcl directory.
  * debian/libgv-python/install:
     - Add “usr/lib/graphviz/python{24,25}”, later rearranged through
       debian/rules.
  * debian/pyversions:
     - Add it, containing “2.4,2.5”.
  * debian/rules:
     - Pass an extra flag to configure: “--without-rsvg” to avoid an extra
       plugin to be built, which would pull many other dependencies. A new
       binary package might be introduced later, with both gtk and rsvg
       plugins.
     - Bump shlibs, new symbols.
     - Use “pyversions -s” rather than “pyversions -d”.
     - Use “--enable-python{24,25}” instead of just “--enable-python”.
     - Install both python modules under appropriate site-packages
       directories.
     - Duplicate gv.py in both directories, then taken care of by
       python-support.
     - Get rid of tclpkg/gv/gv.R and tclpkg/gv/php_gv.h through dh_clean
       to keep the diff clean.
  * Drop workaround for FTBFS with gcc-4.3, fixed upstream:
     - 2_workaround_ftbfs_with_gcc-4.3.
  * Backport fix from CVS, preventing all include directories from being
    lumped together, does causing python2.5 to be misbuilt (using
    python2.4 includes).
     - Add 1_disable_lumping_all_include_directories: Actual fix.
     - Add 0_autoreconf_run: Needed since a Makefile.am is touched.
     - Disable 0_libtool_linking_reorder_workaround: no longer applies
       because of the autoreconf run.

 -- Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>  Sat, 12 Apr 2008 02:11:00 +0200

graphviz (2.16.1-3) unstable; urgency=low

  * Add workaround for FTBFS with gcc-4.3 (Closes: #466810):
     - 2_workaround_ftbfs_with_gcc-4.3.
  * Update doc-base section: from “Apps/Graphics” to “Graphics”.

 -- Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>  Wed, 26 Mar 2008 00:43:57 +0100

graphviz (2.16.1-2) unstable; urgency=low

  * Improved debian/copyright:
     - Distinguish between copyright and license.
     - Add copyright years and copyright holder (AT&T Corp.).
     - Use “Copyright” and “©” instead of “(C)”.

 -- Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>  Tue, 26 Feb 2008 14:33:24 +0100

graphviz (2.16.1-1) experimental; urgency=low

  * New upstream release:
     - Fixes regressions in dotty (Closes: #461530).
  * Replaced “-V” with “-V 'libgraphviz4 (>= 2.16)'” in the dh_makeshlibs
    call since no shlibs bump is required for this new upstream release.
  * Dropped patch (merged upstream):
     - 2_ocaml_tweak.
     - 0_autoreconf_run (it was only needed because of 2_ocaml_tweak).
  * Refreshed patches:
     - 0_versioned_plugin_config_file.
     - 0_bindings_documentation.
  * Moved sections, resolving override disparities:
     - libgv-python: from interpreters to python.
     - graphviz-dev: from graphics to devel.
  * Now ship diffimg since it actually looks useful to at least someone,
    thanks to David Liontooth for having requested it (Closes: #460595).
    Done by reverting the diffimg deletion in “install” target.
  * Adapted Tcl bindings: moved to a subdirectory of /usr/lib/tcltk to
    comply with the Tcl/Tk policy.
  * Adapted the manpage accordingly: in the “load” call, adjusted the
    path to the shared object.
  * Dropped NEWS.Debian since its content wasn't really what one would


=== debian/control ===
Source: graphviz
Section: graphics
Priority: optional
Maintainer: John Ellson <ellson@graphviz.org>
Standards-Version: 3.7.3
Build-Depends: debhelper (>= 5), libfreetype6-dev, zlib1g-dev, libjpeg62-dev, libpng12-dev, libxaw7-dev, bison, flex, autotools-dev, libexpat1-dev, libfontconfig1-dev, libltdl7-dev, libperl-dev, quilt (>= 0.40), groff-base, gs-gpl,  libcairo2-dev, libpango1.0-dev, d-shlibs 
Homepage: http://www.graphviz.org/

Package: graphviz
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: gdtclft
Suggests: msttcorefonts, gsfonts, graphviz-doc
Description: rich set of graph drawing tools
 Graph drawing addresses the problem of visualizing structural information
 by constructing geometric representations of abstract graphs and networks.
 Automatic generation of graph drawings has important applications in key
 technologies such as database design, software engineering, VLSI and
 network design and visual interfaces in other domains. Situations where
 these tools might be particularly useful include:
 .
   * you would like to restructure a program and first need to understand
     the relationships between its types, procedures, and source files
   * you need to find the bottlenecks in an Internet backbone - not only
     individual links, but their relationships
   * you're debugging a protocol or microarchitecture represented as a
     finite state machine and need to figure out how a certain
     error state arises
   * you would like to browse a database schema, knowledge base, or
     distributed program represented graphically
   * you would like to see an overview of a collection of linked documents
   * you would like to discover patterns and communities of interest in a
     database of telephone calls or e-mail messages
 .
 This package contains the command-line tools.

Package: libgv-perl
Architecture: any
Section: perl
Depends: ${perl:Depends}, ${shlibs:Depends}
Conflicts: graphviz (<< 2.12-1)
Description: Perl bindings for graphviz
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package contains the Perl bindings.

Package: libgraphviz4
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Description: rich set of graph drawing tools
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package contains the libraries.

Package: libgraphviz-dev
Architecture: any
Section: libdevel
Depends: libgraphviz4 (= ${binary:Version}), ${devlibs:Depends}
Suggests: ocaml-base-nox-${F:OCamlABI}, ocaml-findlib
Conflicts: graphviz-dev (<< 2.12-1), libgraphviz3-dev, libgraphviz4-dev (<< 2.16.3)
Replaces: libgraphviz3-dev, libgraphviz4-dev (<< 2.16.3)
Provides: graphviz-dev
Description: graphviz libs and headers against which to build applications
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package installs the libraries and headers necessary to link graphviz
 library routines into an application. It also installs additional man pages.
 .
 This package also contains the OCaml development files.
 .
 Note: A graphviz user doesn't need to install this package.

Package: graphviz-doc
Architecture: all
Section: doc
Conflicts: graphviz (<< 2.12-1)
Suggests: graphviz
Description: additional documentation for graphviz
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package installs HTML and PDF documentation for Graphviz, as well as
 examples.

Package: graphviz-dev
Architecture: all
Depends: libgraphviz-dev
Description: transitional package for graphviz-dev rename
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package is targeted at easing the upgrade from older graphviz-dev to the
 new libgraphviz-dev package.
 .
 This package can be purged at anytime once the libgraphviz-dev package has
 been installed.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/quilt/quilt.make

# Get build platform info
export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

UPSTREAM_VERSION  = $(shell dpkg-parsechangelog | perl -ne 'print $$1 if /^Version: (.*?)-(.*)$$/')
SONAME            = 4

OCAMLABI          = $(shell ocamlc -version)
OCAML_PACKAGE     = $(CURDIR)/debian/libgv-ocaml

PHP_EXTENSION_DIR = $(shell php-config5 --extension-dir)
PHP_PACKAGE       = $(CURDIR)/debian/libgv-php5

LUA_VERSION       = 5.1
LUA_PACKAGE       = $(CURDIR)/debian/libgv-lua

DEV_PACKAGE       = $(CURDIR)/debian/libgraphviz-dev

PYTHON_VERSIONS   = $(shell pyversions -s)
PYTHON_PACKAGE    = $(CURDIR)/debian/libgv-python

RUBY_VERSION      = 1.8
RUBY_PACKAGE      = $(CURDIR)/debian/libgv-ruby

CONFIG_SCRIPTS=config/config.guess lib/gd/config/config.guess libltdl/config.guess \
	       config/config.sub   lib/gd/config/config.sub   libltdl/config.sub

configure: patch configure-stamp
configure-stamp:
	dh_testdir

	# Update the config scripts
	for i in $(CONFIG_SCRIPTS); do \
		cp /usr/share/misc/`basename $$i` $$i ; \
	done

	# Configure the package
	./configure --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE) \
	--prefix=/usr \
	--datadir=\$${prefix}/share \
	--infodir=\$${prefix}/share/info \
	--mandir=\$${prefix}/share/man \
	--disable-static \
	--with-pangocairo \
	--with-x \
	--with-gd=no \
	--with-gdk-pixbuf \
	--without-ghostscript \
	--without-gtk \
	--without-gtkgl \
	--without-gtkglext \
	--without-glade \
	--with-ipsepcola \
	--with-lasi \
	--with-rsvg \
	--with-devil \
	--with-gts \
	--without-ortho \
	--without-sfdp \
	--without-smyrna \
	--disable-sharp \
	--disable-java \
	--disable-io \
	--disable-python \
	--disable-r \
	LDFLAGS="-Wl,--as-needed"
	touch configure-stamp

build: configure build-stamp
build-stamp:
	dh_testdir

	# Build
	$(MAKE)
	touch build-stamp

#	# Build the manpage from SONAME-independent perlpod
#	sed -e 's/##SONAME##/$(SONAME)/g' \
#		debian/libgraphviz-config-update.pod.in > \
#		debian/libgraphviz$(SONAME)-config-update.pod
#	pod2man --center "GRAPHVIZ CONFIGURATION MANAGEMENT" \
#		--release $(UPSTREAM_VERSION) \
#		debian/libgraphviz$(SONAME)-config-update.pod \
#		debian/libgraphviz$(SONAME)-config-update.1

clean: clean-patched unpatch
clean-patched:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Clean up if a build already happened
	[ ! -f Makefile ] || $(MAKE) -k distclean

#	# Clean up intermediate and generated manpages
#	rm -f debian/libgraphviz$(SONAME)-config-update.pod
#	rm -f debian/libgraphviz$(SONAME)-config-update.1

	dh_clean $(CONFIG_SCRIPTS) \
		tclpkg/gv/gv.R tclpkg/gv/php_gv.h

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Install the package into debian/tmp
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

	# Remove .la files
	rm -rf `find -name '*.la'`

	# Install lintian overrides
	install -d $(CURDIR)/debian/tmp/usr/share/lintian/overrides
	install -m 644 $(CURDIR)/debian/libgraphviz$(SONAME).lintian-overrides \
		$(CURDIR)/debian/tmp/usr/share/lintian/overrides/libgraphviz$(SONAME)

	# Compute the dependencies of the -dev package
	# NOTE: It is important to do that before splitting the files into
	# their respective packages, otherwise the symlinks are broken
	d-devlibdeps \
		--override s/libpathplan$(SONAME)-dev// \
		--override s/libcgraph$(SONAME)-dev//   \
		--override s/libgraph$(SONAME)-dev//    \
		--override s/libcdt$(SONAME)-dev//      \
		--override s/libgts-0.7-5-dev/libgts-dev/ \
		$(CURDIR)/debian/libgraphviz-dev.substvars \
		$(CURDIR)/debian/tmp/usr/lib/*.so

	# Move from debian/tmp to the appropriate packages, rename one binary
	dh_install --sourcedir=debian/tmp --list-missing
	mv $(CURDIR)/debian/libgraphviz$(SONAME)/usr/sbin/dot \
		$(CURDIR)/debian/libgraphviz$(SONAME)/usr/sbin/libgraphviz$(SONAME)-config-update

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i
	dh_installmenu -i
	dh_installchangelogs ChangeLog -i
	dh_perl -i
	dh_link -i
	dh_strip -i
	dh_compress -i -X.pdf
	dh_fixperms -i
	dh_makeshlibs -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
# Pass -a to all debhelper commands in this target to reduce clutter.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installdocs -a -XMakefile
	dh_installexamples -a
	dh_installmenu -a
	dh_installman -a
	dh_installchangelogs ChangeLog -a
	dh_perl -a
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -plibgraphviz$(SONAME) -V 'libgraphviz4 (>= 2.18)'
	dh_installdeb -a
	dh_shlibdeps -a -L libgraphviz$(SONAME) $(CURDIR)/debian/libgraphviz$(SONAME)/usr/lib
	dh_gencontrol -a -- -VF:OCamlABI="$(OCAMLABI)"
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## graphviz 2.26.3

=== debian/changelog ===
graphviz (2.26.3-7) unstable; urgency=low

  * refresh patches
  * Add patch by Petr Salinger to handle chroot case on kFreeBSD
    correctly (Closes: #575797)
  * Fix clean target

 -- Christoph Egger <christoph@debian.org>  Wed, 18 May 2011 23:13:54 +0200

graphviz (2.26.3-6) unstable; urgency=low

  [ David Claughton ]
  * Fix capitalisation of PHP in package description (Closes: #613990)
  * Apply patch by Samuel Thibault to fix problem on Hurd causing
    doxygen FTBFS bugs - Thanks Samuel! (Closes: #578320) 
  * Add Python 2.7 support (Closes: #623165). Thanks to Barry Warsaw
    for the patch and Mehdi Dogguy for additional work and testing.
    - Added dh-autoreconf as a Build-Dependency
    - Added patch python27-support
  * Simply patch 50_remove_changelog_in because we now autoreconf.
  * Minor fixes to dot.1 manpage. Thanks to Mats Erik Andersson
    for the patch. (Closes: #622781)

  [ Mehdi Dogguy ]
  * Rebuild with OCaml 3.12.0 (Closes: #623289).

 -- David Claughton <dave@eclecticdave.com>  Tue, 26 Apr 2011 22:26:05 +0200

graphviz (2.26.3-5) unstable; urgency=low

  [ David Claughton ]
  * Oops, spelling correction to lefty.1 manpage missed 2.26.3-3 and
    got included into 2.26.3-4 instead.  Fixed-up changelog to
    reflect true history.
  * Fix bashism in vimdot (Closes: #581107)
  * Build with GTK Support (Closes: #457433)

  [ Christoph Egger ]
  * Bump dependency on debhelper as needed by dh-ocaml foo

 -- David Claughton <dave@eclecticdave.com>  Fri, 11 Jun 2010 00:58:54 +0100

graphviz (2.26.3-4) unstable; urgency=low

  * Add patch to fix segfault in circo. Backported from upstream snapshot
    release.  Thanks to Francis Russell for his work on this.
    (Closes: #575255)
  * Fixed spelling mistake in lefty.1 manpage.  Thanks to A. Costa
    <agcosta AT gis DOT net> for spotting this. (Closes: #573639)

 -- David Claughton <dave@eclecticdave.com>  Wed, 24 Mar 2010 22:45:18 +0000

graphviz (2.26.3-3) unstable; urgency=low

  * Backport fix on CVS for dot -y output (Closes: #573781) 
  * Restore missing changelog entries which vanished as a result of 
    2.26 development being done on a branch

 -- David Claughton <dave@eclecticdave.com>  Tue, 16 Mar 2010 21:51:38 +0000

graphviz (2.26.3-2) unstable; urgency=low

  * Add manpages for vimdot and diffimg
  * Create dot2glx.1 and glx2dot.1 as symlinks to gv2glx.1 and glx2gv.1
    (executables are already linked equivalently)
  * Fix manpage warnings and spelling mistakes reported by Lintian.
  * Remove absolute path to libgvc5-config-update in postinst
  * Fixup NEWS.Debian
  * Add patch fix_powerpc_ftbfs - make upstream's fix to powerpc-darwin8
    apply only when building on darwin
  * Add missing file lib/common/mksvgfonts.pl which can be found in
    upstream CVS but is not in the release tarball.
  * Added patch 3_fix_pango_font_selection to append comma to font
    family name passed to pango - needed when family name contains
    spaces.
  * Update Standards Version (no changes required)
  * Changed build deps libjpeg62-dev -> libjpeg-dev as recommended
    by release team.
  * Modified short descriptions to libraries to make them unique.
  * Moved libgvc5-config-update manpage to section 8 (Closes: #512447)

 -- David Claughton <dave@eclecticdave.com>  Thu, 09 Feb 2010 22:30:55 +0000

graphviz (2.26.3-1) experimental; urgency=low

  [ David Claughton ]
  * New upstream release (Closes: #554222, #522356, #521539)
  * Switched to package format 3.0 (quilt)
    - avoids need to repack to remove debian directory
  * Split libgraphviz4 package into separate packages for libgraph4,
    libcgraph5, libcdt4, libpathplan4 and libgvc5 due to soname
    changes and removal of libagraph
    N.B. libraries conflict with libgraphviz4 - this release cannot coexist
    with the previous one
  * Patches no longer needed due to inclusion upstream or obsoleted
    by upstream changes
    - 0_versioned_plugin_config_file
    - 0_libtool_linking_reorder_workaround
    - 10_fix_tred_regression
    - 20_fix_parser_stack_overflow
    - 30_fix_swig_tcl_ftbfs
  * Patches with hunks removed because they are included or obsoleted by
    upstream
    - 0_bindings_documentation
    - 0_tcl_manpages_section
    - 40_fix_swig_php_ftbfs
  * Added support for python 2.6; Dropped support for 2.4 (Closes: #522004)
  * Removed manpage renames, now done upstream
  * libagraph.so and agraph.3 manpage no longer exist
  * Added patch 50_remove_changelog_in to prevent upstream attempt to
    recreate changelog from changelog.in
  * Updated build-deps
  * Corrected install location of libgv-tcl libraries (Closes: #521538)
    (Thanks Ilya Anfimov)

  [ Christoph Egger ]
  * Drop quilt from build-deps, no longer needed with source 3.0
  * Linewrap build-deps so diff becomes usable
  * Bump standards Version (no changes)
  * Determine --enable-python$ver automatically
  * Upload to experimental

 -- Christoph Egger <christoph@debian.org>  Sun, 31 Jan 2010 23:19:24 +0100

graphviz (2.20.2-8) unstable; urgency=low

  * Maintenance upload until 2.26 is ready
  * Add phpapi-<version> depend to libgv-php5 (Closes: #566287)
  * Minor fix to debian/rules - use pyversions -r instead of -s in
    PYTHON_VERSIONS def.  Fixes FTBFS due to migration of python2.6 to
    unstable.
  * Fix a couple of issues preventing graphviz from building twice
    in succession
      - modified patch 20_fix_parser_stack_overflow to only patch parser.y
        not intermediate bison files - also causes intermediate files to
        be regenerated
      - added patch 0_fix_htmlparse_bison_2_4 to fix FTBFS when using
        bison 2.4

 -- David Claughton <dave@eclecticdave.com>  Sat, 23 Jan 2010 23:24:40 +0000

graphviz (2.20.2-7) unstable; urgency=low

  * Maintenance upload untill 2.26 is ready
  * New Maintainers (Closes: #536245)
  * Drop python2.4 support (Closes: #562407)
  * Version dependency on swig (Closes: #505040)



=== debian/control ===
--- 
+++ 
@@ -1,16 +1,60 @@
 Source: graphviz
 Section: graphics
 Priority: optional
-Maintainer: John Ellson <ellson@graphviz.org>
-Standards-Version: 3.7.3
-Build-Depends: debhelper (>= 5), libfreetype6-dev, zlib1g-dev, libjpeg62-dev, libpng12-dev, libxaw7-dev, bison, flex, autotools-dev, libexpat1-dev, libfontconfig1-dev, libltdl7-dev, libperl-dev, quilt (>= 0.40), groff-base, gs-gpl,  libcairo2-dev, libpango1.0-dev, d-shlibs 
+Maintainer: David Claughton <dave@eclecticdave.com>
+Uploaders: Christoph Egger <christoph@debian.org>,
+ Sebastian Harl <tokkee@debian.org>
+Standards-Version: 3.8.4
+Build-Depends: tk8.5-dev,
+ tcl8.5-dev,
+ debhelper (>= 7.1.0~),
+ libfreetype6-dev,
+ zlib1g-dev,
+ libjpeg-dev,
+ libpng12-dev,
+ libxaw7-dev,
+ bison,
+ flex,
+ autotools-dev,
+ pdksh,
+ libexpat1-dev,
+ libfontconfig1-dev,
+ libltdl-dev (>= 2.2.6b),
+ swig,
+ libperl-dev,
+ libgd2-noxpm-dev (>= 2.0.35),
+ groff-base,
+ ghostscript,
+ lua5.1,
+ liblua5.1-0-dev,
+ ruby,
+ ruby1.8-dev,
+ php5-dev,
+ php5-cli,
+ ocaml-nox (>= 3.11.1-3),
+ python-all-dev,
+ python-minimal,
+ libcairo2-dev,
+ libpango1.0-dev,
+ guile-1.8-dev,
+ d-shlibs,
+ python-support,
+ chrpath,
+ dh-ocaml (>= 0.9.1),
+ dh-autoreconf,
+ libgtk2.0-dev,
+ libgnomeui-dev
+Build-Conflicts: tcl8.3, tcl8.4
+Vcs-Git: git://git.debian.org/git/collab-maint/graphviz.git
+Vcs-Browser: http://git.debian.org/?p=collab-maint/graphviz.git
 Homepage: http://www.graphviz.org/
 
 Package: graphviz
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: gdtclft
-Suggests: msttcorefonts, gsfonts, graphviz-doc
+Recommends: ttf-liberation
+Suggests: gsfonts, graphviz-doc
 Description: rich set of graph drawing tools
  Graph drawing addresses the problem of visualizing structural information
  by constructing geometric representations of abstract graphs and networks.
@@ -34,10 +78,43 @@
  .
  This package contains the command-line tools.
 
+Package: libgv-guile
+Architecture: any
+Section: interpreters
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: Guile bindings for graphviz
+ Graphviz is a set of graph drawing tools. See the description of the graphviz
+ package for a full description.
+ .
+ This package contains the guile (1.8) bindings.
+
+Package: libgv-lua
+Architecture: any
+Section: interpreters
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: Lua bindings for graphviz
+ Graphviz is a set of graph drawing tools. See the description of the graphviz
+ package for a full description.
+ .
+ This package contains the lua5.1 bindings.
+
+Package: libgv-ocaml
+Architecture: any
+Section: ocaml
+Depends: ${ocaml:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Provides: ${ocaml:Provides}
+Description: OCaml bindings for graphviz
+ Graphviz is a set of graph drawing tools. See the description of the graphviz
+ package for a full description.
+ .
+ This package contains the OCaml bindings. The associated development files
+ are in the libgraphviz-dev package so as to limit the number of binary
+ packages.
+
 Package: libgv-perl
 Architecture: any
 Section: perl
-Depends: ${perl:Depends}, ${shlibs:Depends}
+Depends: ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Conflicts: graphviz (<< 2.12-1)
 Description: Perl bindings for graphviz
  Graphviz is a set of graph drawing tools. See the description of the graphviz
@@ -45,23 +122,151 @@
  .
  This package contains the Perl bindings.
 
-Package: libgraphviz4
-Architecture: any
-Section: libs
-Depends: ${shlibs:Depends}
-Description: rich set of graph drawing tools
- Graphviz is a set of graph drawing tools. See the description of the graphviz
- package for a full description.
- .
- This package contains the libraries.
+Package: libgv-php5
+Architecture: any
+Section: php
+Depends: ${shlibs:Depends}, ${php:Depends}, ${misc:Depends}
+Description: PHP5 bindings for graphviz
+ Graphviz is a set of graph drawing tools. See the description of the graphviz
+ package for a full description.
+ .
+ This package contains the PHP5 bindings.
+
+Package: libgv-python
+Architecture: any
+Section: python
+Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
+Description: Python bindings for graphviz
+ Graphviz is a set of graph drawing tools. See the description of the graphviz
+ package for a full description.
+ .
+ This package contains the Python bindings.
+
+Package: libgv-ruby
+Architecture: any
+Section: ruby
+Depends: ${shlibs:Depends}, ruby1.8, ${misc:Depends}
+Description: Ruby bindings for graphviz
+ Graphviz is a set of graph drawing tools. See the description of the graphviz
+ package for a full description.
+ .
+ This package contains the Ruby (1.8) bindings.
+
+
+Package: libgv-tcl
+Architecture: any
+Section: interpreters
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: graphviz (<< 2.12-1)
+Description: Tcl bindings for graphviz
+ Graphviz is a set of graph drawing tools. See the description of the graphviz
+ package for a full description.
+ .
+ This package contains the Tcl (8.5) bindings.
+
+Package: libgraph4
+Architecture: any
+Section: libs
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libgraphviz4
+Description: rich set of graph drawing tools - graph library
+ Graphviz is a set of graph drawing tools. See the description of the graphviz
+ package for a full description.
+ .
+ This package contains the graph library.
+
+Package: libcgraph5
+Architecture: any
+Section: libs
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libgraphviz4
+Description: rich set of graph drawing tools - cgraph library
+ Graphviz is a set of graph drawing tools. See the description of the graphviz
+ package for a full description.
+ .
+ This package contains the cgraph library.
+
+Package: libcdt4
+Architecture: any
+Section: libs
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libgraphviz4
+Description: rich set of graph drawing tools - cdt library
+ Graphviz is a set of graph drawing tools. See the description of the graphviz
+ package for a full description.
+ .
+ This package contains the cdt library.
+
+Package: libpathplan4
+Architecture: any
+Section: libs
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libgraphviz4
+Description: rich set of graph drawing tools - pathplan library
+ Graphviz is a set of graph drawing tools. See the description of the graphviz
+ package for a full description.
+ .
+ This package contains the pathplan library.
+
+Package: libgvc5
+Architecture: any
+Section: libs
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libgraphviz4
+Description: rich set of graph drawing tools - gvc library
+ Graphviz is a set of graph drawing tools. See the description of the graphviz
+ package for a full description.
+ .
+ This package contains the gvc library.
+
+Package: libgvc5-plugins-gtk
+Architecture: any
+Section: libs
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libgraphviz4
+Description: rich set of graph drawing tools - gtk plugins
+ Graphviz is a set of graph drawing tools. See the description of the graphviz
+ package for a full description.
+ .
+ This package contains the gtk and gdk-pixbuf plugins.
+
+Package: libgvpr1
+Architecture: any
+Section: libs
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libgraphviz4
+Description: rich set of graph drawing tools - gvpr library
+ Graphviz is a set of graph drawing tools. See the description of the graphviz
+ package for a full description.
+ .
+ This package contains the gvpr library.
+
+Package: libxdot4
+Architecture: any
+Section: libs
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libgraphviz4
+Description: rich set of graph drawing tools - xdot library
+ Graphviz is a set of graph drawing tools. See the description of the graphviz
+ package for a full description.
+ .
+ This package contains the xdot library.
 
 Package: libgraphviz-dev
 Architecture: any
 Section: libdevel
-Depends: libgraphviz4 (= ${binary:Version}), ${devlibs:Depends}
-Suggests: ocaml-base-nox-${F:OCamlABI}, ocaml-findlib
-Conflicts: graphviz-dev (<< 2.12-1), libgraphviz3-dev, libgraphviz4-dev (<< 2.16.3)
-Replaces: libgraphviz3-dev, libgraphviz4-dev (<< 2.16.3)
+Depends: libcdt4 (= ${binary:Version}),
+ libcgraph5 (= ${binary:Version}),
+ libgraph4 (= ${binary:Version}),
+ libgvc5 (= ${binary:Version}),
+ libgvpr1 (= ${binary:Version}),
+ libpathplan4 (= ${binary:Version}),
+ libxdot4 (= ${binary:Version}),
+ ${devlibs:Depends}, ${misc:Depends},
+ ocaml-base-nox-${F:OCamlABI}
+Suggests: ocaml-findlib
+Conflicts: graphviz-dev (<< 2.12-1), libgraphviz3-dev, libgraphviz4-dev (<< 2.16-3)
+Replaces: libgraphviz3-dev, libgraphviz4-dev (<< 2.16-3)
 Provides: graphviz-dev
 Description: graphviz libs and headers against which to build applications
  Graphviz is a set of graph drawing tools. See the description of the graphviz
@@ -75,6 +280,7 @@
  Note: A graphviz user doesn't need to install this package.
 
 Package: graphviz-doc
+Depends: ${misc:Depends}
 Architecture: all
 Section: doc
 Conflicts: graphviz (<< 2.12-1)
@@ -88,7 +294,8 @@
 
 Package: graphviz-dev
 Architecture: all
-Depends: libgraphviz-dev
+Section: devel
+Depends: libgraphviz-dev, ${misc:Depends}
 Description: transitional package for graphviz-dev rename
  Graphviz is a set of graph drawing tools. See the description of the graphviz
  package for a full description.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/ocaml/ocamlvars.mk
include /usr/share/python/python.mk

# Get build platform info
export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
export DEB_HOST_ARCH_OS   ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

ifeq ($(DEB_HOST_ARCH_OS),hurd)
CONFIGURE_LIBS    = LIBS="-Wl,--no-as-needed -Wl,-lpthread -Wl,--as-needed"
endif

UPSTREAM_VERSION  = $(shell dpkg-parsechangelog | perl -ne 'print $$1 if /^Version: (.*?)-(.*)$$/')
# SONAME version for libgvc and libcgraph 
SONAME            = 5
# SONAME version for libgraph, libcdt and libpathplan
OTHER_SONAME      = 4

OCAML_PACKAGE     = $(CURDIR)/debian/libgv-ocaml

PHP_EXTENSION_DIR = $(shell php-config5 --extension-dir)
PHP_PACKAGE       = $(CURDIR)/debian/libgv-php5

LUA_VERSION       = 5.1
LUA_PACKAGE       = $(CURDIR)/debian/libgv-lua

DEV_PACKAGE       = $(CURDIR)/debian/libgraphviz-dev

PYTHON_VERSIONS   = $(shell pyversions -r)
PYTHON_PACKAGE    = $(CURDIR)/debian/libgv-python

RUBY_VERSION      = 1.8
RUBY_PACKAGE      = $(CURDIR)/debian/libgv-ruby

CONFIG_SCRIPTS=config/config.guess lib/gd/config/config.guess libltdl/config.guess \
	       config/config.sub   lib/gd/config/config.sub   libltdl/config.sub

configure: configure-stamp
configure-stamp:
	dh_testdir

	# Update the config scripts
	for i in $(CONFIG_SCRIPTS); do \
		cp /usr/share/misc/`basename $$i` $$i ; \
	done

	# Configure the package
	dh_autoreconf autoreconf --
	./configure --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE) \
	--prefix=/usr \
	--datadir=\$${prefix}/share \
	--infodir=\$${prefix}/share/info \
	--mandir=\$${prefix}/share/man \
	--disable-static \
	--with-pangocairo \
	--with-x \
	--with-gdk-pixbuf \
	--with-gnomeui \
	--with-gtk \
	--without-gts \
	--without-ipsepcola \
	--without-rsvg \
	--enable-guile \
	--enable-lua \
	--enable-ocaml \
	--enable-php \
	--enable-ruby \
	--enable-tcl \
	--disable-java \
	--disable-r \
	--disable-sharp \
	$(shell echo $(PYTHON_VERSIONS) | sed -e's,python,--enable-python,g' -e 's,\.,,g') \
	$(CONFIGURE_LIBS) \
	LDFLAGS="-Wl,--as-needed"
	touch configure-stamp

build: configure build-stamp
build-stamp:
	dh_testdir

	# Install missing script mksvgfonts.pl to lib/common
	cp debian/mksvgfonts.pl lib/common
	chmod 744 lib/common/mksvgfonts.pl

	# Build
	$(MAKE)
	touch build-stamp

	# Build the manpage from SONAME-independent perlpod
	sed -e 's/##SONAME##/$(SONAME)/g' \
		debian/libgvc-config-update.pod.in > \
		debian/libgvc$(SONAME)-config-update.pod
	pod2man --center "GRAPHVIZ CONFIGURATION MANAGEMENT" \
		--release $(UPSTREAM_VERSION) \
	  --section 8 \
		debian/libgvc$(SONAME)-config-update.pod \
		debian/libgvc$(SONAME)-config-update.8

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Clean up if a build already happened
	[ ! -f Makefile ] || $(MAKE) distclean

	# Clean up intermediate and generated manpages
	rm -f debian/libgvc$(SONAME)-config-update.pod
	rm -f debian/libgvc$(SONAME)-config-update.8

	dh_clean $(CONFIG_SCRIPTS) \
		tclpkg/gv/gv.R tclpkg/gv/php_gv.h
	dh_autoreconf_clean
	dh_clean


install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Install the package into debian/tmp
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

	# Remove .la files
	find -name '*.la' -delete

	# Strip the rpath on /usr/lib (at least on amd64), but not
	# on /usr/lib/graphviz (needed for the plugins), and bail
	# out if it is another case, while ignoring if there's no
	# RPATH at all (there are shell scripts under /usr/bin).
	for i in `find debian/tmp/usr/bin debian/tmp/usr/lib -type f` ; do \
		case `chrpath -l -k $$i` in \
			*RPATH=/usr/lib/graphviz) ;; \
			*RPATH=/usr/lib) chrpath -d $$i ;; \
			*RPATH=/usr/lib:/usr/lib/graphviz) chrpath -r /usr/lib/graphviz $$i ;; \
			*RPATH=*) echo "Unknown RPATH: $$i" ; exit 1 ;; \
			*) ;; \
		esac ; \
	done

	# Compute the dependencies of the -dev package
	# NOTE: It is important to do that before splitting the files into
	# their respective packages, otherwise the symlinks are broken
	d-devlibdeps \
		--override s/libpathplan$(OTHER_SONAME)-dev// \
		--override s/libgraph$(OTHER_SONAME)-dev//    \
		--override s/libcdt$(OTHER_SONAME)-dev//      \
		--override s/libcgraph$(SONAME)-dev//   \
		--override s/libgvpr$(OTHER_SONAME)-dev//   \
		--override s/libxdot$(OTHER_SONAME)-dev//   \
		$(CURDIR)/debian/libgraphviz-dev.substvars \
		$(CURDIR)/debian/tmp/usr/lib/*.so

	# Move from debian/tmp to the appropriate packages, rename one binary
	dh_install --sourcedir=debian/tmp --list-missing
	mv $(CURDIR)/debian/libgvc$(SONAME)/usr/sbin/dot \
		$(CURDIR)/debian/libgvc$(SONAME)/usr/sbin/libgvc$(SONAME)-config-update

	# Some additional work for libgv-php5
	install -d $(PHP_PACKAGE)/$(PHP_EXTENSION_DIR)
	mv $(PHP_PACKAGE)/usr/lib/graphviz/php/libgv_php.so \
		$(PHP_PACKAGE)/$(PHP_EXTENSION_DIR)/gv.so
	install -d $(PHP_PACKAGE)/usr/share/php/libgv-php5
	mv $(PHP_PACKAGE)/usr/lib/graphviz/php/gv.php \
		$(PHP_PACKAGE)/usr/share/php/libgv-php5
	rm -rf $(PHP_PACKAGE)/usr/lib/graphviz
	echo "php:Depends=phpapi-`php-config5 --phpapi`" >> $(PHP_PACKAGE).substvars

	# Some additional work for libgv-lua
	# 1. Rename using the LUA_VERSION
	mv $(LUA_PACKAGE)/usr/lib/graphviz/lua/libgv_lua.so \
		$(LUA_PACKAGE)/usr/lib/graphviz/lua/liblua$(LUA_VERSION)-libgv.so
	# 2. Add a symlink
	install -d $(LUA_PACKAGE)/usr/lib/lua/$(LUA_VERSION)
	ln -s /usr/lib/graphviz/lua/liblua$(LUA_VERSION)-libgv.so \
		$(LUA_PACKAGE)/usr/lib/lua/$(LUA_VERSION)/gv.so

	# Some additional work for libgv-ocaml
	# 1. Move the shared object to the stublibs directory
	install -d $(OCAML_PACKAGE)$(OCAML_DLL_DIR)
	mv $(OCAML_PACKAGE)/usr/lib/graphviz/ocaml/libgv_ocaml.so \
		$(OCAML_PACKAGE)$(OCAML_DLL_DIR)/dllgv.so
	# 2. Move the devel files where they belong
	install -d $(DEV_PACKAGE)$(OCAML_STDLIB_DIR)/gv
	mv $(OCAML_PACKAGE)/usr/lib/graphviz/ocaml/*.ml* \
		$(DEV_PACKAGE)$(OCAML_STDLIB_DIR)/gv
	# 3. Trash the (almost empty) directory (and its .la)
	rm -rf $(OCAML_PACKAGE)/usr/lib/graphviz

	# Some additional work for libgv-python
	# Note the sed call because of python{24,25} instead of python{2.4,2.5}
	# Note gv.py isn't really duplicated, it's just installed in a location
	# where python-support will find it. Both being identical, python-support
	# will just do the right thing.
	for i in $(PYTHON_VERSIONS); do \
		install -d $(PYTHON_PACKAGE)/usr/lib/$$i/$(call py_sitename_sh, $$i) ; \
		cp $(PYTHON_PACKAGE)/usr/lib/graphviz/python/gv.py \
			$(PYTHON_PACKAGE)/usr/lib/$$i/$(call py_sitename_sh, $$i) ; \
		mv $(PYTHON_PACKAGE)/usr/lib/graphviz/$$(echo $$i|sed -e 's/\.//')/*.so \
			$(PYTHON_PACKAGE)/usr/lib/$$i/$(call py_sitename_sh, $$i) ; \
	done
	rm -rf $(PYTHON_PACKAGE)/usr/lib/graphviz

	# Debian-specific manpage
	dh_installman -plibgvc$(SONAME)      \
		$(CURDIR)/debian/libgvc$(SONAME)-config-update.8

	# Some additional work for libgv-ruby
	install -d $(RUBY_PACKAGE)/usr/lib/ruby/$(RUBY_VERSION)
	mv $(RUBY_PACKAGE)/usr/lib/graphviz/ruby/libgv_ruby.so \
		$(RUBY_PACKAGE)/usr/lib/ruby/$(RUBY_VERSION)/gv.so
	rm -rf $(RUBY_PACKAGE)/usr/lib/graphviz

	# Install additional ocaml files
	install -d $(DEV_PACKAGE)$(OCAML_STDLIB_DIR)/gv
	cp debian/tmp/usr/lib/graphviz/ocaml/gv.cmi \
	   debian/tmp/usr/lib/graphviz/ocaml/gv.cma \
		$(DEV_PACKAGE)$(OCAML_STDLIB_DIR)/gv
	if [ -f debian/tmp/usr/lib/graphviz/ocaml/gv.cmx ]; then \
		cp debian/tmp/usr/lib/graphviz/ocaml/gv.cmx \
		   debian/tmp/usr/lib/graphviz/ocaml/gv.cmxa \
		  debian/tmp/usr/lib/graphviz/ocaml/gv.a \
			$(DEV_PACKAGE)$(OCAML_STDLIB_DIR)/gv; \
	fi
	install -d $(DEV_PACKAGE)$(OCAML_STDLIB_DIR)/METAS
	mv debian/tmp/usr/lib/graphviz/ocaml/META.gv \
		$(DEV_PACKAGE)$(OCAML_STDLIB_DIR)/METAS
